/* styles.css */

@font-face {
    font-family: caviar_dreamsbold;
    src: url(../fonts/caviardreams_bold-webfont.woff2) format('woff2');
    font-weight: bold;
    font-style: normal;
}

 @font-face {
    font-family: "Josefin Sans";
    src: url(../fonts/JosefinSans-Light.woff2) format('woff2');
    font-weight: 400;
    font-style: normal;
} 


*, *::before, *::after {
    box-sizing: border-box;
}


body {
    background: #0b1315; 
    font-family: "Josefin Sans",sans-serif;
    font-size: 19px;
    line-height: 29px;
    font-weight: 300;
    letter-spacing: 0;
    text-transform: none;
    overflow-x: hidden!important;
    color: #fff;
}

h1, h2 {
    font-family: caviar_dreamsbold;
    font-size: 36px;
    line-height: 1.27em;
    text-align: center;
}


/* h1 a,h2 a,h3 a,h4 a,h5 a,h6 a {
    color: inherit;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    font-style: inherit;
    line-height: inherit;
    letter-spacing: inherit;
    text-transform: inherit
} */

a {
    color:#c9ab81
}

.welcome a {
    color:#c9ab81; 
}

.welcome a:hover {
    color:#fff; 
}


a, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, p a  {
    color: inherit;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    font-style: inherit;
    line-height: inherit;
    letter-spacing: inherit;
    text-transform: inherit;
    
    &:hover {
        color: #fff
    }
}

a,p a {
    text-decoration: none;
    -webkit-transition: color .2s ease-out;
    -o-transition: color .2s ease-out;
    transition: color .2s ease-out
}

p {
    margin: 10px 0
}

.header {
    display: flex;
    justify-content: center;
    border-bottom: #c9ab81 solid 1px;
    background: #0b1315;  

    .logo {
        max-width: 150px;
        padding: 14px 0px 30px 0px;
    }
}

main {
    --contentSize: 70%;
    display: grid;
    grid-template-columns: 1fr var(--contentSize) 1fr;

    > * {
        grid-column: 2;
    }
}

.welcome, .menu {
    display: flex;
    flex-direction: column;
    /* justify-content: center;
    align-items: center; */
}

.welcome p {
    /* max-width: 70%; */
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    line-height: 29px;
    margin:  0 auto;
    padding-top: 25px;
}

.bestil, .menu, .footer {
    width: 100%;
    /* padding-left: 25%;
    padding-right: 25%; */
    margin: 0 auto;
    margin-top: 40px;
}

.restauranter {
    display: flex;
    justify-content: center;
    gap: 5rem;

    h2 {
        text-align: center;
    }

    a {
        color: #0b1315;
        background-color: #c9ab81;
        border: 1px solid #c9ab81;
        position: relative;
        display: inline-block;
        font-family: "Open Sans Condensed", sans-serif;
        font-size: 14px;
        line-height: 2em;
        letter-spacing: 0.15em;
        text-transform: uppercase;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-transition: color .2s ease-in-out, background-color .2s ease-in-out, border-color .2s ease-in-out;
        -o-transition: color .2s ease-in-out, background-color .2s ease-in-out, border-color .2s ease-in-out;
        transition: color .2s ease-in-out, background-color .2s ease-in-out, border-color .2s ease-in-out;
        padding: 9px 39px;
        cursor: pointer;  
        margin: 10px 0px;
        width: 100%;
        text-align: center;
        min-width: max-content; 
    
        &:hover {
            background-color: #0b1315;
            color: #fff;    
        }
    }
}


.menu-items {
    --menuItemSize: 500px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--menuItemSize), 1fr));
    gap: 0px 3rem;

    .menu-item {
        display: grid;
        align-items: center;
        grid-template-rows: 1fr max-content;
        margin-bottom: 30px;
        width: 100%;
        gap: 1rem;
        
        .menu-description h3 {
            margin: 35px 0px 0px 0px;
        }
        
    }

    .menu-description {
        display: flex;
        flex-direction: column;
        align-items: center;
        /* width: 50%; */
        text-align: center;    

        .price {
            color:#c9ab81;
            font-weight: 400;
        }
    }
    
    .menu-image {
        position: relative;
        display: flex;
        width: 100%;
        aspect-ratio: 1;
    
        &.has-multiple {
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-template-rows: 1fr 1fr;
            gap: .5rem;
    
            img {
    
                &:nth-child(1) {
                    grid-area: 1 / 1 / 1 / 1
                }
                &:nth-child(2) {
                    grid-area: 1 / 2 / 1 / 2
                }
                &:nth-child(3) {
                    grid-area: 2 / 1 / 2 / 1
                }
                &:nth-child(4) {
                    grid-area: 2 / 2 / 2 / 2
                }
            }
        }
    
        img {
            position: absolute;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }
}



h1,h2,h3,h4,h5,h6 {
    font-family: caviar_dreamsbold,sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    color: #c9ab81;
    margin: 25px 0;
    -ms-word-wrap: break-word;
    word-wrap: break-word
}



h1, h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

.footer {
    display: flex;
    flex-direction: row;
    background: #0b1315;
    color: #c9ab81;
    text-align: center;
    justify-content: center;
    gap: 10rem;

    img:hover {
        filter: brightness(50%);
    }

}

.copyright {
    margin-top: 80px;
    text-align: center;
}


@media only screen and (max-width: 1400px) {
    .restauranter {
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: space-between;

        a {
            width: 50%;
        }
    }
}

@media only screen and (max-width: 1100px) {
    .footer {
        flex-direction: column;
        gap: 2rem;
    }
}

@media only screen and (max-width: 768px) {
    main {
        --contentSize: 100%;
    }
    .menu-items {
        --menuItemSize: 100%;
    }
}